package evaHelper;

import java.io.InputStream;
import java.io.OutputStream;


/**
 * @author Florence
 *
 */
public class TestClass_EvaMain {

	//Debugging purposes
	public static String sampleFilename = "evaHelper_InOut/EvaLoggerFile122235.txt";
	public static String outputFilename = "evaHelper_InOut/EvaLoggerFile122235_OutputGraph.xml";//graphml";

    private static String	sdcardLocation      = "/Users/Florence/mysdcard.img";
    private static String	androidToolsPath    = "/Developer/android-sdk-mac_x86-1.1_r1/tools/";//mac
    private static String	runEmulatorCommand  = androidToolsPath + "emulator -sdcard " + sdcardLocation;
	private static String	runYEDApplication	= "/Applications/yWorks/yEd/yEd.app/Contents/MacOS/JavaApplicationStub";

	/**
	 * Debug program
	 * TODO: EvaSpy: Inline code
	 */
	public static void main(String[] args) {
		
		try{
			
//			EvaLogger.addToLog("myscreen", "mycomponentName", "mycomponentType", "myaction");
//			Thread.sleep(1000);
//			EvaLogger.addToLog("myscreen", "mycomponentName", "mycomponentType", "myaction");
//			Thread.sleep(1000);
//			EvaLogger.addToLog("myscreen", "mycomponentName", "mycomponentType", "myaction");
//			EvaLogger.writeLogToFile(EvaLogger.desktopPlatform, outputFilename);
//			EvaWriter.printXMLDataToScreen(outputFilename);
			
			//TEST READING XML and WRITING TO ALTERNATIVE
			//EvaWriter.printXMLDataToScreen(sampleFilename);
			//EvaWriter.printXMLDataAsCSVFile(sampleFilename, outputFilename);
			
			//test csv to xml
			/*
             EvaWriter.printCSVDataAsGraphMLToFile(sampleFilename, outputFilename);
						
			FTBDebug("Input File:" + sampleFilename);
			FTBDebug("Output File:" + outputFilename);
			FTBDebug("FINISH TESTING");
            */

            if( false ){

                String command = runEmulatorCommand;
               // Process p = Runtime.getRuntime().exec(command);

                command = androidToolsPath + "adb shell";
                Process p = Runtime.getRuntime().exec(command);
                FTBDebug("DONE WITH:" + command);

                InputStream in = p.getInputStream();
                OutputStream out = p.getOutputStream();

                out.write("ls".getBytes());
                out.close();

                //command = "ls";
                //p = Runtime.getRuntime().exec(command);
                //FTBDebug("DONE WITH:" + command);
                int c;
                in = p.getInputStream();
                while ((c = in.read()) != -1) {
                   FTBDebug(((char)c) + "");
                }
                in.close();
            }

            String  command = "ls";
            Process p = Runtime.getRuntime().exec(command);

            InputStream in = p.getInputStream();
            int c;
            while( (c= in.read()) != -1 ){
                System.out.print((char)c);
            }
            in.close();
            

		}
		catch( Exception e ){
			FTBDebug( e.toString() );
		}
		
	}
	
	////////////////My debugging methods
	/**
	 * My debug messages
	 * @param msg
	 */
	public static void FTBDebug(String msg){
		System.out.println("[FTBDebug]" + msg);
	}

	/**
	 * Lazy printing
	 * @param o
	 */
	public static void p(Object o){
		System.out.print(o);
	}
	
	/**
	 * Lazy printing
	 * @param o
	 */
	public static void pln(Object o){
		System.out.println(o);
	}
}
