/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package evaHelper.images;


import java.awt.image.BufferedImage;
import java.awt.*;
import java.net.URL;
import javax.imageio.ImageIO;
import javax.swing.JPanel;


/**
 *
 * @author florence
 */
public class EvaPanelWithBackground extends JPanel{
    private Image img;


    public EvaPanelWithBackground(String imgFilename){

        try{
            URL url = getClass().getResource(imgFilename);
            BufferedImage bgImage = ImageIO.read(url);
            img = bgImage.getScaledInstance(-1, -1, Image.SCALE_SMOOTH); //orig size for negative values
            this.setSize(img.getWidth(this), img.getHeight(this));
            this.setPreferredSize(new Dimension(img.getWidth(this), img.getHeight(this)));
        }
        catch(Exception e){
            System.out.println("Exception in JPanelWithBgImg:"+e);
        }
    }

    protected void paintComponent(Graphics g) {
        g.drawImage(img, 0, 0, null);
    }

    
}

